Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.inet.common.bean.InetServType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class InetServType extends Entity

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SESSION_INITIATION_AUTO`
  `static final int`
  `SESSION_INITIATION_CALL`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetAddressType`
  `getAddressType()`
  `String`
  `getConfig()`
  `String`
  `getData()`
  `Set<Integer>`
  `getDeviceGroupIds()`
  `Set<Integer>`
  `getDeviceTypeIds()`
  `Set<Integer>`
  `getParentTypeIds()`
  `int`
  `getSessionCountLimit()`
  `int`
  `getSessionInitiationType()`
  `int`
  `getTrafficTypeLinkId()`
  `boolean`
  `isAddressAllInterface()`
  `boolean`
  `isIpFromParentRange()`
  `boolean`
  `isNeedContractObject()`
  `boolean`
  `isNeedDevice()`
  `boolean`
  `isNeedIdentifier()`
  `boolean`
  `isNeedInterface()`
  `boolean`
  `isNeedLogin()`
  `boolean`
  `isNeedMacAddress()`
  `boolean`
  `isNeedRestriction()`
  `boolean`
  `isNeedVlan()`
  `boolean`
  `isNullVlan()`
  `boolean`
  `isPersonalInterface()`
  `boolean`
  `isPersonalVlan()`
  `boolean`
  `isSessionCountLimitLock()`
  `InetServType`
  `setAddressAllInterface(boolean addressAllInterface)`
  `InetServType`
  `setAddressType(InetAddressType addressType)`
  `InetServType`
  `setConfig(String config)`
  `InetServType`
  `setData(String data)`
  `InetServType`
  `setDeviceGroupIds(Set<Integer> deviceGroupIds)`
  `InetServType`
  `setDeviceTypeIds(Set<Integer> deviceTypeIds)`
  `InetServType`
  `setId(int id)`
  Устанавливает id объекта
  `InetServType`
  `setIpFromParentRange(boolean ipFromParentRange)`
  `InetServType`
  `setNeedContractObject(boolean needContractObject)`
  `InetServType`
  `setNeedDevice(boolean needDevice)`
  `InetServType`
  `setNeedIdentifier(boolean needIdentifier)`
  `InetServType`
  `setNeedInterface(boolean needPort)`
  `InetServType`
  `setNeedLogin(boolean needLogin)`
  `InetServType`
  `setNeedMacAddress(boolean needMacAddress)`
  `InetServType`
  `setNeedRestriction(boolean needRestriction)`
  `InetServType`
  `setNeedVlan(boolean needVlan)`
  `InetServType`
  `setNullVlan(boolean nullVlan)`
  `InetServType`
  `setParentTypeIds(Set<Integer> childrenServTypeIds)`
  `InetServType`
  `setPersonalInterface(boolean personalInterface)`
  `InetServType`
  `setPersonalVlan(boolean personalVlan)`
  `InetServType`
  `setSessionCountLimit(int defaultSessionLimit)`
  `InetServType`
  `setSessionCountLimitLock(boolean sessionCountLimitLock)`
  `InetServType`
  `setSessionInitiationType(int sessionInitiationType)`
  `InetServType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `InetServType`
  `setTrafficTypeLinkId(int trafficTypeLinkId)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### SESSION_INITIATION_CALL

    public static final int SESSION_INITIATION_CALL
    See Also:
      - Constant Field Values

  - ### SESSION_INITIATION_AUTO

    public static final int SESSION_INITIATION_AUTO
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InetServType

    public InetServType()

- ## Method Details

  - ### getAddressType

    public InetAddressType getAddressType()

  - ### getConfig

    public String getConfig()

  - ### getData

    public String getData()

  - ### getDeviceGroupIds

    public Set<Integer> getDeviceGroupIds()

  - ### getDeviceTypeIds

    public Set<Integer> getDeviceTypeIds()

  - ### getParentTypeIds

    public Set<Integer> getParentTypeIds()

  - ### getSessionCountLimit

    public int getSessionCountLimit()

  - ### getSessionInitiationType

    public int getSessionInitiationType()

  - ### getTrafficTypeLinkId

    public int getTrafficTypeLinkId()

  - ### isAddressAllInterface

    public boolean isAddressAllInterface()

  - ### isIpFromParentRange

    public boolean isIpFromParentRange()

  - ### isNeedContractObject

    public boolean isNeedContractObject()

  - ### isNeedDevice

    public boolean isNeedDevice()

  - ### isNeedIdentifier

    public boolean isNeedIdentifier()

  - ### isNeedInterface

    public boolean isNeedInterface()

  - ### isNeedLogin

    public boolean isNeedLogin()

  - ### isNeedMacAddress

    public boolean isNeedMacAddress()

  - ### isNeedRestriction

    public boolean isNeedRestriction()

  - ### isNeedVlan

    public boolean isNeedVlan()

  - ### isNullVlan

    public boolean isNullVlan()

  - ### isPersonalInterface

    public boolean isPersonalInterface()

  - ### isPersonalVlan

    public boolean isPersonalVlan()

  - ### isSessionCountLimitLock

    public boolean isSessionCountLimitLock()

  - ### setAddressAllInterface

    public InetServType setAddressAllInterface(boolean addressAllInterface)

  - ### setAddressType

    public InetServType setAddressType(InetAddressType addressType)

  - ### setConfig

    public InetServType setConfig(String config)

  - ### setData

    public InetServType setData(String data)

  - ### setDeviceGroupIds

    public InetServType setDeviceGroupIds(Set<Integer> deviceGroupIds)

  - ### setDeviceTypeIds

    public InetServType setDeviceTypeIds(Set<Integer> deviceTypeIds)

  - ### setId

    public InetServType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setIpFromParentRange

    public InetServType setIpFromParentRange(boolean ipFromParentRange)

  - ### setNeedContractObject

    public InetServType setNeedContractObject(boolean needContractObject)

  - ### setNeedDevice

    public InetServType setNeedDevice(boolean needDevice)

  - ### setNeedIdentifier

    public InetServType setNeedIdentifier(boolean needIdentifier)

  - ### setNeedInterface

    public InetServType setNeedInterface(boolean needPort)

  - ### setNeedLogin

    public InetServType setNeedLogin(boolean needLogin)

  - ### setNeedMacAddress

    public InetServType setNeedMacAddress(boolean needMacAddress)

  - ### setNeedRestriction

    public InetServType setNeedRestriction(boolean needRestriction)

  - ### setNeedVlan

    public InetServType setNeedVlan(boolean needVlan)

  - ### setNullVlan

    public InetServType setNullVlan(boolean nullVlan)

  - ### setParentTypeIds

    public InetServType setParentTypeIds(Set<Integer> childrenServTypeIds)

  - ### setPersonalInterface

    public InetServType setPersonalInterface(boolean personalInterface)

  - ### setPersonalVlan

    public InetServType setPersonalVlan(boolean personalVlan)

  - ### setSessionCountLimit

    public InetServType setSessionCountLimit(int defaultSessionLimit)

  - ### setSessionCountLimitLock

    public InetServType setSessionCountLimitLock(boolean sessionCountLimitLock)

  - ### setSessionInitiationType

    public InetServType setSessionInitiationType(int sessionInitiationType)

  - ### setTitle

    public InetServType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTrafficTypeLinkId

    public InetServType setTrafficTypeLinkId(int trafficTypeLinkId)